All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.browse
Class BrowseMetadata

    com.sas.services.information.browse.BrowseMetadata

All Implemented Interfaces:
  BrowseMetadataInterface, java.io.Serializable

    public class BrowseMetadata

implements BrowseMetadataInterface, java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.services.information.browse.BrowseMetadataInterface
`CREATE_KEY, DESC_KEY, ISAFOLDER_KEY, ISENTITYKEY_KEY, KEYWORDS_KEY, MEMBERS_KEY, MODIFY_KEY, NAME_KEY, NATIVETYPE_KEY, PARENTTREE_KEY, REPOSID_KEY, SMARTCLASS_KEY, SMARTTYPE_KEY, SOFTWARETREES_KEY, SUBFOLDERS_KEY, TREES_KEY`

Constructor Summary
`BrowseMetadata(java.util.Map rawData)`

Method Summary
`java.lang.Object` | `get(java.lang.String key)` Get an arbitrary object from the map.
`long` | `getCreateDate()` Get the date the metadata object was created.
`java.util.Date` | `getCreateDateAsDate()` Get the date the metadata object was created.
`java.lang.String` | `getDescription()` Get the object description.
`java.lang.String` | `getISEntityKey()` Get the Information Service entity key for this object.
`java.util.List` | `getKeywords()` Get a List of Strings with the keywords that are associated with this object.
`java.util.List` | `getMembers()` Get the members if this is a folder.
`long` | `getModifyDate()` Get the date the metadata object was most recently changed.
`java.util.Date` | `getModifyDateAsDate()` Get the date the metadata object was most recently changed.
`java.lang.String` | `getName()` Get the object name.
`java.lang.String` | `getNativeType()` Get the repository native type for this object.
`java.util.List` | `getParents()` Get the list of parent objects.
`java.util.Map` | `getRawData()` Get the Map with the raw data for this object.
`java.lang.String` | `getReposId()` Get the object's repository ID.
`java.lang.String` | `getSmartType()` Get the "smart" type of this object.
`java.util.List` | `getSubfolders()` Get the subfolders if this is a folder.
`boolean` | `isAFolder()` Returns true if this object represents a folder in the metadata.
`java.lang.String` | `toString()` Return a simple string representation of the object.

Constructor Detail

### BrowseMetadata

    public BrowseMetadata(java.util.Map rawData)

Method Detail

### getRawData

    public java.util.Map getRawData()

  Description copied from interface: `BrowseMetadataInterface`
  Get the Map with the raw data for this object. This Map can be wrapped with a "smarter" object for accessing the data.

  Specified by:
    `getRawData` in interface `BrowseMetadataInterface`
  Returns:
    A map that represents simple attributes with String values, and associated objects as a List of Map objects.

### get

    public java.lang.Object get(java.lang.String key)

  Description copied from interface: `BrowseMetadataInterface`
  Get an arbitrary object from the map. This may be an attribute or an association. Attributes have String values, associations are represented by a List of BrowseMetadataInterface objects.

  Specified by:
    `get` in interface `BrowseMetadataInterface`
  Parameters:
    `key` - The name of the attribute or association.
  Returns:
    A String representing an attribute value, or a List if key is an association.

### getName

    public java.lang.String getName()

  Description copied from interface: `BrowseMetadataInterface`
  Get the object name.

  Specified by:
    `getName` in interface `BrowseMetadataInterface`
  Returns:
    The object name string.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `BrowseMetadataInterface`
  Get the object description.

  Specified by:
    `getDescription` in interface `BrowseMetadataInterface`
  Returns:
    The object description string. An empty string will be returned rather than null if no description exists.

### getCreateDate

    public long getCreateDate()

  Description copied from interface: `BrowseMetadataInterface`
  Get the date the metadata object was created.

  Specified by:
    `getCreateDate` in interface `BrowseMetadataInterface`
  Returns:
    A long representing the date and time the object was created.

### getCreateDateAsDate

    public java.util.Date getCreateDateAsDate()

  Description copied from interface: `BrowseMetadataInterface`
  Get the date the metadata object was created.

  Specified by:
    `getCreateDateAsDate` in interface `BrowseMetadataInterface`
  Returns:
    A long representing the date and time the object was created.

### getModifyDate

    public long getModifyDate()

  Description copied from interface: `BrowseMetadataInterface`
  Get the date the metadata object was most recently changed.

  Specified by:
    `getModifyDate` in interface `BrowseMetadataInterface`
  Returns:
    A long with the latest modification date and time for the object.

### getModifyDateAsDate

    public java.util.Date getModifyDateAsDate()

  Description copied from interface: `BrowseMetadataInterface`
  Get the date the metadata object was most recently changed.

  Specified by:
    `getModifyDateAsDate` in interface `BrowseMetadataInterface`
  Returns:
    A long with the latest modification date and time for the object.

### getKeywords

    public java.util.List getKeywords()

  Description copied from interface: `BrowseMetadataInterface`
  Get a List of Strings with the keywords that are associated with this object.

  Specified by:
    `getKeywords` in interface `BrowseMetadataInterface`
  Returns:
    A List of String objects with the keywords.

### getSmartType

    public java.lang.String getSmartType()

  Description copied from interface: `BrowseMetadataInterface`
  Get the "smart" type of this object. For instance, return "Report" rather than "Transformation". If the smart object type couldn't be determined, the string "Metadata" will be returned.

  Specified by:
    `getSmartType` in interface `BrowseMetadataInterface`
  Returns:
    The smart object type of this object.

### getNativeType

    public java.lang.String getNativeType()

  Description copied from interface: `BrowseMetadataInterface`
  Get the repository native type for this object. For instance, "Transformation" rather than "Report".

  Specified by:
    `getNativeType` in interface `BrowseMetadataInterface`
  Returns:
    The repository specific type for this object.

### getISEntityKey

    public java.lang.String getISEntityKey()

  Description copied from interface: `BrowseMetadataInterface`
  Get the Information Service entity key for this object. This key makes it easy to retrieve the "real" metadata object for this browse object so it can be updated.

  Specified by:
    `getISEntityKey` in interface `BrowseMetadataInterface`
  Returns:
    The Information Service entity key.

### isAFolder

    public boolean isAFolder()

  Description copied from interface: `BrowseMetadataInterface`
  Returns true if this object represents a folder in the metadata. For data in the SAS Metadata Server, being a folder doesn't necessarily imply that it's part of the BIP Tree hierarchy.

  Specified by:
    `isAFolder` in interface `BrowseMetadataInterface`
  Returns:
    True if the object is a folder, false otherwise.

### getMembers

    public java.util.List getMembers()

  Description copied from interface: `BrowseMetadataInterface`
  Get the members if this is a folder.

  Specified by:
    `getMembers` in interface `BrowseMetadataInterface`
  Returns:
    a List of BrowseMetadataInterface objects representing the members of the folder, or null if it's not a folder.

### getParents

    public java.util.List getParents()

  Description copied from interface: `BrowseMetadataInterface`
  Get the list of parent objects. This will either be the element(s) of the ParentTree association, if that's found, or the Trees asociation if that's found.

  Specified by:
    `getParents` in interface `BrowseMetadataInterface`
  Returns:
    A List of likely parent BrowseMetadataInterface objects. If none are found, an empty List is returned.

### getSubfolders

    public java.util.List getSubfolders()

  Description copied from interface: `BrowseMetadataInterface`
  Get the subfolders if this is a folder.

  Specified by:
    `getSubfolders` in interface `BrowseMetadataInterface`
  Returns:
    a List of BrowsemetadataInterface objects representing the subfolders of this folder, or null if it's not a folder.

### getReposId

    public java.lang.String getReposId()

  Description copied from interface: `BrowseMetadataInterface`
  Get the object's repository ID. The id by itself may or may not be sufficient to actually retrieve the object from the repository, but it should at least be a unique identifier for the object within the repository. * @return The String representation of the repository identifier.

  Specified by:
    `getReposId` in interface `BrowseMetadataInterface`

### toString

    public java.lang.String toString()

  Description copied from interface: `BrowseMetadataInterface`
  Return a simple string representation of the object.

  Specified by:
    `toString` in interface `BrowseMetadataInterface`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A String object representing the metadata object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.